diff --git a/src/bin/pg_basebackup/pg_createsubscriber.c b/src/bin/pg_basebackup/pg_createsubscriber.c
index 4ea1310faee..d0e637d041f 100644
--- a/src/bin/pg_basebackup/pg_createsubscriber.c
+++ b/src/bin/pg_basebackup/pg_createsubscriber.c
@@ -29,7 +29,7 @@
 #include "getopt_long.h"
 
 #define	DEFAULT_SUB_PORT	"50432"
-#define	OBJECTTYPE_PUBLICATIONS  0x1
+#define	OBJECTTYPE_PUBLICATIONS  0x0001
 
 /* Command-line options */
 struct CreateSubscriberOptions
@@ -2079,9 +2079,7 @@ main(int argc, char **argv)
 				break;
 			case 'r':
 				if (!simple_string_list_member(&opt.objecttypes_to_remove, optarg))
-				{
 					simple_string_list_append(&opt.objecttypes_to_remove, optarg);
-				}
 				else
 				{
 					pg_log_error("object type \"%s\" is specified more than once for --remove", optarg);
@@ -2253,15 +2251,12 @@ main(int argc, char **argv)
 	}
 
 	/* Verify the object types specified for removal from the subscriber */
-	dbinfos.objecttypes_to_remove = 0x0;
 	if (opt.objecttypes_to_remove.head != NULL)
 	{
 		for (SimpleStringListCell *cell = opt.objecttypes_to_remove.head; cell; cell = cell->next)
 		{
 			if (pg_strcasecmp(cell->val, "publications") == 0)
-			{
 				dbinfos.objecttypes_to_remove |= OBJECTTYPE_PUBLICATIONS;
-			}
 			else
 			{
 				pg_log_error("invalid object type \"%s\" specified for --remove", cell->val);
